<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <name>Sakai Lv Tool</name>
   <groupId>org.sakaiproject</groupId>
   <artifactId>wontovlab-tool</artifactId>
   <organization>
      <name>Sakai Project</name>
      <url>http://sakaiproject.org/</url>
   </organization>
   <inceptionYear>2007</inceptionYear>
   <description>Lv webapp (tool)</description>
   <version>0.1</version>
   <packaging>war</packaging>

   <!-- the base is the parent pom -->
   <parent>
      <groupId>org.sakaiproject</groupId>
      <artifactId>wontovlab</artifactId>
      <version>0.1</version>
   </parent>

   <dependencies>


	<!-- Jena dependency -->


        <dependency>
	        <groupId>org.wontovlab</groupId>
	        <artifactId>wontovlab-plugin</artifactId>
	        <version>1.0</version>
        </dependency>

        
        <dependency>
			<groupId>antlr</groupId>
			<artifactId>antlr</artifactId>
			<version>2.7.5</version>
        </dependency>

        
        <dependency>
			<groupId>com.ibm.icu</groupId>
			<artifactId>icu4j</artifactId>
			<version>3.4.4</version>
        </dependency> 
        
        <dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
        </dependency> 
        
        <dependency>
			<groupId>org.codehaus.woodstox</groupId>
			<artifactId>wstx-asl</artifactId>
			<version>3.0.0</version>
        </dependency>  

        <dependency>
			<groupId>stax</groupId>
			<artifactId>stax-api</artifactId>
			<version>1.0</version>
        </dependency>
        
        <dependency>
			<groupId>xerces</groupId>
			<artifactId>xercesImpl</artifactId>
			<version>2.7.1</version>
        </dependency>
        
        <dependency>
			<groupId>xerces</groupId>
			<artifactId>xmlParserAPIs</artifactId>
			<version>2.0.2</version>
        </dependency>                

             

<!-- Minhas mudanças -->
		<dependency>
			<groupId>richfaces</groupId>
			<artifactId>richfaces-api</artifactId>
			<version>3.1.6.SR1</version>
        </dependency>

		<dependency>
			<groupId>richfaces</groupId>
			<artifactId>richfaces-impl</artifactId>
			<version>3.1.6.SR1</version>
        </dependency>

		<dependency>
			<groupId>richfaces</groupId>
			<artifactId>richfaces-ui</artifactId>
			<version>3.1.6.SR1</version>
        </dependency>
        
    <!-- generic DAO ADDED -->
       
      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>generic-dao</artifactId>
         <version>0.9.1</version>
         <scope>provided</scope>
      </dependency>

        <!-- Spring and Hibernate dependencies. ADDED-->
        <dependency>
           <groupId>${sakai.spring.groupId}</groupId>
           <artifactId>${sakai.spring.artifactId}</artifactId>
           <version>${sakai.spring.version}</version>
        </dependency>

		<dependency>
		  <groupId>${sakai.hibernate.groupId}</groupId>
		  <artifactId>${sakai.hibernate.artifactId}</artifactId>
		  <version>${sakai.hibernate.version}</version>
		</dependency>

        
        		<!-- Sakai util dependency (required for JSF in Sakai) -->
		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-util</artifactId>
			<version>${sakai.version}</version>
		</dependency>
		
		<!-- Various Sakai dependencies ADDED-->
		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-authz-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>

		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-entity-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>

		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-site-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>

		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-tool-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>

		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-user-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>
		
		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-util-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>
        
        <!-- Component-API required to access sakai.properties file -->
		<dependency>
			<groupId>org.sakaiproject</groupId>
			<artifactId>sakai-component-api</artifactId>
			<version>${sakai.version}</version>
		</dependency>
		
		<!-- JFree Chart Dependencies -->
		<dependency>
			<groupId>jfree</groupId>
			<artifactId>chartcreator</artifactId>
			<version>1.2.0</version>
       		</dependency>

		<dependency>
			<groupId>jfree</groupId>
			<artifactId>jcommon</artifactId>
			<version>1.0.14</version>
	        </dependency>

		<dependency>
			<groupId>jfree</groupId>
			<artifactId>jfreechart</artifactId>
			<version>1.0.11</version>
       	</dependency>		
        
        
        
        
        
        		<!-- Servlet-API dependency, for creation of LarUtilServlet -->
		<dependency>
			<groupId>servletapi</groupId>
			<artifactId>servletapi</artifactId>
			<version>2.4</version>
		</dependency>


		<!-- commons jars required for JSF -->
		<dependency>
			<groupId>commons-digester</groupId>
			<artifactId>commons-digester</artifactId>
			<version>1.6</version>
		</dependency>

		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.7.0</version>
		</dependency>

		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
			<version>1.3</version>
		</dependency>

		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.1</version>
		</dependency>

		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.1.1</version>
		</dependency>
        
        
 <!-- Minhas mudanças  -->        


      <!-- internal dependencies -->

      <!-- <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>wontovlab-api</artifactId>
         <version>0.1</version>
      </dependency>-->

      <!-- we are running a webapp in tomcat so we need the servlet api -->
      <dependency>
         <groupId>javax.servlet</groupId>
         <artifactId>servlet-api</artifactId>
         <!-- <version>${sakai.servletapi.version}</version>  -->
      </dependency>

      <!-- Sakai util dependency (required for JSF in Sakai) -->
      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>sakai-util</artifactId>
         <version>${sakai.version}</version>
         <scope>runtime</scope>
      </dependency>

      <!-- Sakai JSF dependencies -->
      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>sakai-jsf-tool</artifactId>
         <version>${sakai.version}</version>
      </dependency>

      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>sakai-jsf-spreadsheet</artifactId>
         <version>${sakai.version}</version>
      </dependency>

      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>sakai-jsf-app</artifactId>
         <version>${sakai.version}</version>
         <exclusions>
            <exclusion>
               <!-- using myfaces instead -->
               <groupId>jsf</groupId>
               <artifactId>jsf-api</artifactId>
            </exclusion>
         </exclusions>
      </dependency>

      <!-- MyFaces JSF dependencies -->
      <dependency>
         <groupId>org.apache.myfaces.core</groupId>
         <artifactId>myfaces-api</artifactId>
         <version>1.1.5</version>
      </dependency>

      <dependency>
         <groupId>org.apache.myfaces.core</groupId>
         <artifactId>myfaces-impl</artifactId>
         <version>1.1.5</version>
      </dependency>

      <dependency>
         <groupId>org.apache.myfaces.tomahawk</groupId>
         <artifactId>tomahawk</artifactId>
         <version>1.1.6</version>
      </dependency>

      <!-- standard tag libraries -->
      <dependency>
         <groupId>javax.servlet</groupId>
         <artifactId>jstl</artifactId>
         <version>1.1.2</version>
      </dependency>

      <dependency>
         <groupId>taglibs</groupId>
         <artifactId>standard</artifactId>
         <version>1.1.2</version>
      </dependency>

      <dependency>
         <groupId>javax.servlet</groupId>
         <artifactId>jsp-api</artifactId>
         <version>2.0</version>
      </dependency>

      <!-- Sakai JSF tag libraries -->
<!--       
      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>sakai-depend-jsf-widgets</artifactId>
         <version>${sakai.version}</version>
         <type>pom</type>
      </dependency>
 -->
 
      <dependency>
         <groupId>org.sakaiproject</groupId>
         <artifactId>sakai-depend-jsf-widgets-myfaces</artifactId>
         <version>${sakai.version}</version>
         <type>pom</type>
      </dependency>

      <!-- jars required for JSF -->
      <dependency>
         <groupId>commons-validator</groupId>
         <artifactId>commons-validator</artifactId>
         <version>1.3.0</version>
      </dependency>

      <dependency>
         <groupId>commons-codec</groupId>
         <artifactId>commons-codec</artifactId>
         <version>1.3</version>
      </dependency>

      <dependency>
         <groupId>oro</groupId>
         <artifactId>oro</artifactId>
         <version>2.0.8</version>
      </dependency>

      <!-- apache commons logging -->
      <dependency>
         <groupId>commons-logging</groupId>
         <artifactId>commons-logging</artifactId>
         <version>1.1</version>
      </dependency>

   </dependencies>


   <build>
      <sourceDirectory>src/java</sourceDirectory>
      <resources>
         <resource>
            <directory>${basedir}/src/bundle</directory>
            <includes>
               <include>**/*.properties</include>
               <include>**/*.owl</include>
            </includes>
         </resource>
         <resource>
            <directory>${basedir}/src/java</directory>
            <includes>
               <include>**/*.xml</include>
            </includes>
         </resource>
      </resources>







		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<!--
					By default, the surefire plugin will automatically include all test
					classes with the following wildcard patterns: "**/Test*.java" -
					includes all of its subdirectory and all java filenames that start
					with "Test". "**/*Test.java" - includes all of its subdirectory and
					all java filenames that end with "Test". "**/*TestCase.java" -
					includes all of its subdirectory and all java filenames that end
					with "TestCase".
				-->
			</plugin>


		
			<plugin>
				<artifactId>maven-antrun-plugin</artifactId>
				<executions>
					<execution>
						<id>install</id>
						<phase>install</phase>
						<goals>
							<goal>run</goal>
						</goals>
						<configuration>
							<tasks>
								<exec os="Windows 2000,Windows 2003,Windows XP, Windows Vista" executable="cmd.exe">
									<arg value="/c" />
									<arg value="wontovlab-linux-installation-script.bat" />
									<arg value="-p" />
								</exec>
								<exec os="Linux,SunOS,Solaris,Mac OS X" executable="sh">
									<arg value="wontovlab-linux-installation-script.sh" />
								</exec>

							</tasks>
						</configuration>
					</execution>
				</executions>

				<dependencies>
					<dependency>
						<groupId>ant</groupId>
						<artifactId>ant-jsch</artifactId>
						<version>1.6.5</version>
					</dependency>

				</dependencies>
			</plugin>
		</plugins>







   </build>
</project>
